Subject: bug#35472:

From: François-René Rideau <[email-masked]>
Date: Mon, 9 Aug 2021 17:06:26 -0400

Wow, this works:
(type "bind") (flags '(bind-mount))

and it works by *not* putting any entry in /etc/fstab, yet doing the
thing somehow. So the bug in mount is still there, but is worked
around.

> https://guix.gnu.org/manual/en/html_node/File-Systems.html
Indeed bind-mount is mentioned there, but vastly under-documented,
especially since the guix paragraph refers to some glibc documentation
for mount(2) for details, and those details saying nothing whatsoever
about bind.